Skip to content

createAgency

Request

Bodyapplication/jsonrequired
codestring, [ 0 .. 50 ] charactersrequired

Agency code

Default:""
Example:"AG001"
stateinteger, (int32)

State identifier

Default:""
countryinteger, (int32)

Country identifier

Default:""
cifstring, [ 0 .. 50 ] characters

Agency CIF/TAX ID

Default:""
Example:"12345678A"
namestring, [ 0 .. 100 ] charactersrequired

Agency name

Default:""
Example:"Express Logistics"
clientCodestring, [ 0 .. 20 ] characters

Client code

Default:""
Example:"CLI001"
foreignClientCodestring, [ 0 .. 20 ] characters

Foreign client code

Default:""
Example:"FCLI001"
streetstring, [ 0 .. 100 ] characters

Street address

Default:""
Example:"123 Main Street"
postalCodestring, [ 0 .. 10 ] characters

Postal code

Default:""
Example:"28001"
citystring, [ 0 .. 100 ] characters

City

Default:""
Example:"Madrid"
phone1string, [ 0 .. 20 ] characters

Primary phone number

Default:""
Example:"+34912345678"
phone2string, [ 0 .. 20 ] characters

Secondary phone number

Default:""
Example:"+34912345679"
emailstring, [ 0 .. 100 ] characters

Email address

Default:""
Example:"info@agency.com"
observationsstring

Additional observations

Default:""
supplierinteger, (int32)

Supplier identifier

Default:""
POST
/api/v1/agency
curl -i -X POST \
  https://api.prana.software/api/v1/agency \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring, non-emptyrequired

Agency code

Default:""
Example:"AG001"
stateobject(ApiStateListReadDto)

Associated state

Default:""
countryobject(ApiCountryListReadDto)

Associated country

Default:""
cifstring

Agency CIF/TAX ID

Default:""
Example:"12345678A"
namestring, non-emptyrequired

Agency name

Default:""
Example:"Express Logistics"
clientCodestring

Client code

Default:""
Example:"CLI001"
foreignClientCodestring

Foreign client code

Default:""
Example:"FCLI001"
streetstring

Street address

Default:""
Example:"123 Main Street"
postalCodestring

Postal code

Default:""
Example:"28001"
citystring

City

Default:""
Example:"Madrid"
phone1string

Primary phone number

Default:""
Example:"+34912345678"
phone2string

Secondary phone number

Default:""
Example:"+34912345679"
emailstring

Email address

Default:""
Example:"info@agency.com"
observationsstring

Additional observations

Default:""
supplierobject(ApiSupplierListReadDto)

Associated supplier

Default:""
Response
// No response example